uniform sampler2D Frame;

varying vec2 coordTex;

vec4 gaussFilter[7];

float texScaler = 3.0/256.0;

void main()
{
	float coordX;
	float coordY;
	vec4 color = vec4(0.0,0.0,0.0,0.0);

	gaussFilter[0] = vec4(0.0, -3.0, 0.0,  1.0/64.0);
	gaussFilter[1] = vec4(0.0, -2.0, 0.0,  6.0/64.0);
	gaussFilter[2] = vec4(0.0, -1.0, 0.0, 15.0/64.0);
	gaussFilter[3] = vec4(0.0,  0.0, 0.0, 20.0/64.0);
	gaussFilter[4] = vec4(0.0,  1.0, 0.0, 15.0/64.0);
	gaussFilter[5] = vec4(0.0,  2.0, 0.0,  6.0/64.0);
	gaussFilter[6] = vec4(0.0,  3.0, 0.0,  1.0/64.0);

	int i;
	for (i = 0; i < 7; i++)
	{
		coordX = abs(coordTex.x + gaussFilter[i].x * texScaler);
		coordY = abs(coordTex.y + gaussFilter[i].y * texScaler);
		
		color += texture2D(Frame, vec2(coordX, coordY)) * gaussFilter[i].w;
	}

	color.a *= 2.0;

	gl_FragColor = color;
}